package com.hzya.frame.sysnew.integtationTaskLivingDetails.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 集成任务-实例详情(IntegrationTaskLivingDetails)实体类
 *
 * @author makejava
 * @since 2024-05-15 14:06:41
 */
public class IntegrationTaskLivingDetailsEntity extends BaseEntity {
 
  /**  集成任务-实例_id */
   private String taskLinvingId;
  /**  返回结果 */
   private String result;
  /**  原始查询条件 */
   private String queryCondition;
  /**  源系统主键 */
   private String rootAppPk;
  /**  原系统单据 */
   private String rootAppBill;
  /**  最新源系统数据详情 */
   private String rootAppNewData;
  /**  最新传输信息 */
   private String newTransmitInfo;
  /**  最新推送时间 */
   private Date newPushDate;
  /**  是否补推(Y是N不是) */
   private String repairPust;
  /**  场景id */
   private String senceId;
  /**  最新推送状态 */
   private String newState;
  /**  单据业务日期 */
   private String businessDate;
  /**  插件id */
   private String pluginId;
  /**  处理时间 */
   private Date processingTime;
  /**  处理备注 */
   private String processingRemarks;
  /**  处理⼈名称 */
   private String processorName;
  /**  处理⼈ */
   private String processor;
  /**  下游系统单号 */
   private String newSystemNumber;
  /**  下游系统主键 */
   private String newSystemPrimary;
  /**  备注 */
   private String remark;
  /**  扩展1 */
   private String def1;
  /**  扩展2 */
   private String def2;
  /**  扩展3 */
   private String def3;
  /**  扩展4 */
   private String def4;
  /**  扩展5 */
   private String def5;


    public String getTaskLinvingId() {
        return taskLinvingId;
    }

    public void setTaskLinvingId(String taskLinvingId) {
        this.taskLinvingId = taskLinvingId;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getQueryCondition() {
        return queryCondition;
    }

    public void setQueryCondition(String queryCondition) {
        this.queryCondition = queryCondition;
    }

    public String getRootAppPk() {
        return rootAppPk;
    }

    public void setRootAppPk(String rootAppPk) {
        this.rootAppPk = rootAppPk;
    }

    public String getRootAppBill() {
        return rootAppBill;
    }

    public void setRootAppBill(String rootAppBill) {
        this.rootAppBill = rootAppBill;
    }

    public String getRootAppNewData() {
        return rootAppNewData;
    }

    public void setRootAppNewData(String rootAppNewData) {
        this.rootAppNewData = rootAppNewData;
    }

    public String getNewTransmitInfo() {
        return newTransmitInfo;
    }

    public void setNewTransmitInfo(String newTransmitInfo) {
        this.newTransmitInfo = newTransmitInfo;
    }

    public Date getNewPushDate() {
        return newPushDate;
    }

    public void setNewPushDate(Date newPushDate) {
        this.newPushDate = newPushDate;
    }

    public String getRepairPust() {
        return repairPust;
    }

    public void setRepairPust(String repairPust) {
        this.repairPust = repairPust;
    }

    public String getSenceId() {
        return senceId;
    }

    public void setSenceId(String senceId) {
        this.senceId = senceId;
    }

    public String getNewState() {
        return newState;
    }

    public void setNewState(String newState) {
        this.newState = newState;
    }

    public String getBusinessDate() {
        return businessDate;
    }

    public void setBusinessDate(String businessDate) {
        this.businessDate = businessDate;
    }

    public String getPluginId() {
        return pluginId;
    }

    public void setPluginId(String pluginId) {
        this.pluginId = pluginId;
    }

    public Date getProcessingTime() {
        return processingTime;
    }

    public void setProcessingTime(Date processingTime) {
        this.processingTime = processingTime;
    }

    public String getProcessingRemarks() {
        return processingRemarks;
    }

    public void setProcessingRemarks(String processingRemarks) {
        this.processingRemarks = processingRemarks;
    }

    public String getProcessorName() {
        return processorName;
    }

    public void setProcessorName(String processorName) {
        this.processorName = processorName;
    }

    public String getProcessor() {
        return processor;
    }

    public void setProcessor(String processor) {
        this.processor = processor;
    }

    public String getNewSystemNumber() {
        return newSystemNumber;
    }

    public void setNewSystemNumber(String newSystemNumber) {
        this.newSystemNumber = newSystemNumber;
    }

    public String getNewSystemPrimary() {
        return newSystemPrimary;
    }

    public void setNewSystemPrimary(String newSystemPrimary) {
        this.newSystemPrimary = newSystemPrimary;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDef1() {
        return def1;
    }

    public void setDef1(String def1) {
        this.def1 = def1;
    }

    public String getDef2() {
        return def2;
    }

    public void setDef2(String def2) {
        this.def2 = def2;
    }

    public String getDef3() {
        return def3;
    }

    public void setDef3(String def3) {
        this.def3 = def3;
    }

    public String getDef4() {
        return def4;
    }

    public void setDef4(String def4) {
        this.def4 = def4;
    }

    public String getDef5() {
        return def5;
    }

    public void setDef5(String def5) {
        this.def5 = def5;
    }

}

